package query


#######################################################################
# Macros whose values are set from within the server at runtime. These 
# are here only for reference and to set default values if required.           
#######################################################################

_quotedquery_ {}
_freqmsg_ {}
_resultline_ {}
_thisfirst_ {}
_thislast_ {}
_nextfirst_ {}
_nextlast_ {}
_prevfirst_ {}
_prevlast_ {}

#######################################################################
# https
#######################################################################

_httpiconthispage_ {_httpiconhsearch_}
_widthiconthispage_ {_widthiconhsearch_}
_heighticonthispage_ {_heighticonhsearch_}

_httpiconhsearch_ {_httpimg_/h\_search.gif}
_httpiconhsearch_ [l=mi] {_httpimg_/mh\_srch.gif}
_widthhsearch_ {200}
_heighthsearch_ {57}


#######################################################################
# icons
#######################################################################

_iconthispage_ {<img src="_httpiconthispage_" alt="_texticonthispage_" width="_widthiconthispage_" height="_heighticonthispage_">}
_iconthispage_ [v=1] {<h2>_texticonthispage_</h2>}

_iconqueryresultsbar_ {<img src="_httpiconqryresb_" width="_widthqryresb_" height="_heightqryresb_" alt="_texticonqueryresultsbar_">}
_iconqueryresultsbar_[v=1] {_texticonqueryresultsbar_}

# _iconnext_ and _iconprev_ are overridden in this package as we
# don't want alt text here
_iconnext_{<img src="_httpiconmore_" width=_widthmore_ height=_heightmore_ border=0 align=top>}
_iconprev_{<img src="_httpiconless_" width=_widthless_ height=_heightless_ border=0 align=top>}

#######################################################################
# images
#######################################################################

_imagethispage_ {_iconthispage_}


#######################################################################
# page content
#######################################################################

_pagetitle_ {_If_(_cgiargq_,_textquerytitle_,_textnoquerytitle_)}

_content_ {
<center>
_navigationbar_
</center>
_queryform_
_If_(_cgiargq_,<center>_iconqueryresultsbar_</center><br>
<small>
_freqmsg_
_textpostprocess_</small><br>
_resultline_
,<center>_iconblankbar_</center>)<br>
}

_queryform_ {
<!-- query form -->
<form name=QueryForm method=get action="_gwcgi_">

<input type=hidden name="a" value="q">
<input type=hidden name="e" value="_compressedoptions_">
<input type=hidden name="r" value="1">

<center>
<table><tr><td>
<nobr>
_textselect_<br>
</nobr>
</td></tr><tr><td>
<nobr>
<input type="text" name="q" value="_cgiargq_" size="50">
<input type="submit" value="_textbeginsearch_">
</nobr>
</td></tr></table>
</center>
</form>
<!-- end of query form -->
}

# we want to put the links to previous/next pages of results
# in the footer
_pagefooterextra_ {
<center>
<table cellspacing=0 cellpadding=0 width=_pagewidth_>
<tr>
<td align=left>_If_(_prevfirst_,<a href="_httpquery_&r=_prevfirst_">_iconprev__textmatches__prevfirst_ - _prevlast_</a>)</td>
<td align=right>_If_(_nextfirst_,<a href="_httpquery_&r=_nextfirst_">_textmatches__nextfirst_ - _nextlast__iconnext_</a>)</td>
</tr></table>
</center>
}

#######################################################################
# English text 
#######################################################################

_textquerytitle_ {_If_(_thislast_,results _thisfirst_ - _thislast_ for query: _cgiargq_,No matches for query: _cgiargq_}
_textnoquerytitle_ {Search page}

_texticonthispage_ {search}
_textsome_ {_If_(_cgiargb_,ranked,some)}
_textall_ {_If_(_cgiargb_,boolean,all)}
_texticonqueryresultsbar_ {}
_textfreqmsg1_ {Word count: }
_textpostprocess_ {_If_(_quotedquery_,<br><i>post-processed to find _quotedquery_</i>
)}

_textmorethan_ {More than }
_textapprox_ {About }
_textnodocs_ {No documents matched the query.}
_text1doc_ {1 document matched the query.}
_textlotsdocs_ {documents matched the query.}
_textmatches_ {Matches }
_textbeginsearch_ {Begin Search}

# the textselect macro may need to be overridden for some collections
# _hselection_, _jselection_ and _nselection_ are set from within the server
# some or all of them may remain unset
_textselect_ {_If_(_cgiargb_,_textadvancedsearch_,_textsimplesearch_)}

_textsimplesearch_ {Search for _If_(_hselection_, _hselection_)_If_(_jselection_,_textjselect_)_If_(_nselection_, in _nselection_ language) 
which contain _querytypeselection_ of the words}

_textadvancedsearch_ {Search_If_(_hselection_, _hselection_)_If_(_jselection_,_textjselect_)_If_(_nselection_, in _nselection_ language) 
using _querytypeselection_ query}

_textjselect_ {_If_(_hselection_, of) _jselection_}

_querytypeselection_ {
<select name="t">
<option value="1"_If_(_cgiargt_, selected)>_textsome_
<option value="0"_If_(_cgiargt_,, selected)>_textall_
</select>
}

_textstemon_ { (ignoring word endings)}


#######################################################################
# Maori text		
#######################################################################

_texticonthispage_ [l=mi] {rapu}
_textsome_ [l=mi] {&euml;tehi}
_textall_ [l=mi] {_If_(_cgiargb_,te boolean,katoa)}
_textbeginsearch_ [l=mi] {Rapua}
_textfreqmsg1_ [l=mi] {Kia hia ng&auml; kupu: }
_textmorethan_ [l=mi] {Neke atu i te }
_textnodocs_ [l=mi] {k&auml;ore he pukapuka e p&auml; ana ki &auml;u kupu rapu.}
_text1doc_ [l=mi] {1 te pukapuka e p&auml; ana ki &auml;u kupu rapu.}
_textlotsdocs_ [l=mi] {ng&auml; pukapuka e p&auml; ana ki &auml;u kupu rapu.}
_textmatches_ [l=mi] {Kitenga }
_textstemon_ [l=mi] { (hei aha te k&uuml;muri)}

_textsimplesearch_ [l=mi] {Tirohia ki _If_(_hselection_, _hselection_)_If_(_jselection_,_textjselect_)_If_(_nselection_, in _nselection_ language) m&ouml; _querytypeselection_ o ng&auml; kupu}

_textadvancedsearch_ [l=mi] {Tirohia ki_If_(_hselection_, _hselection_)_If_(_jselection_,_textjselect_)_If_(_nselection_, in _nselection_ language) 
m&ouml; _querytypeselection_ o ng&auml; kupu}
